Skip to Content

POST Quotations

Use this endpoint to create a new quotation within a branch.

User level: Advanced

Endpoint

POST /v1/{scopeId}/quotations
PropertyValue
MethodPOST
Scope IDBranch UUID
AuthenticationAuthorization: Bearer <access_token>
Required scoperoutix:quotations:write
Content-Typeapplication/json
Request bodyJSON object

Allowed create fields

Field
reference
status
account_id
valid_until
comment

Example request

curl -X POST "https://api.routix.com/v1/550e8400-e29b-41d4-a716-446655440000/quotations" \ -H "Authorization: Bearer eyJhbGciOiJIUzI1NiIs..." \ -H "Content-Type: application/json" \ -d '{ "reference": "QTN-2025-001", "status": "draft", "valid_until": "2025-01-31" }'

Example response

{ "data": { "id": "550e8400-e29b-41d4-a716-446655440091", "reference": "QTN-2025-001", "status": "draft", "valid_until": "2025-01-31" }, "version": "v1" }
Last updated on